Package: groovy.org.codenarc.rule.logging

## [Groovy] Class PrintlnAstVisitor

- groovy.org.codenarc.rule.logging.PrintlnAstVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `printlnClosureDefined`
    `boolean` | `printlnMethodDefined`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `visitClassComplete(org.codehaus.groovy.ast.ClassNode node)`
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression methodCall)`

- - ### Property Detail

    - #### boolean printlnClosureDefined

    - #### boolean printlnMethodDefined

  - ### Method Detail

    - #### @Override protected void visitClassComplete(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @SuppressWarnings('DuplicateLiteral') void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression methodCall)